/**
 * Prakticka cast diplomove prace
 * Reprezentace textu a její vliv na kategorizaci
 *
 * Projekt: Program pro predzpracovani textovych dat
 *            - nacita textova data nebo dataset Reuters-21578
 *            - umoznuje nastavit metody predzpracovani, vybrat model
 *              a rysy reprezentace
 *            - zameruje se take na reprezentaci dokumentu pomoci N-Gramu
 *            - uklada data ve formatu XML nebo CSV
 * Autor:   Bc. Ondrej Sabatka
 * Kontakt: xsabat05@stud.fit.vutbr.cz
 * Datum:   unor - duben 2010
 */

package tp.controllers;

import java.awt.Component;
import java.awt.event.MouseEvent;
import java.awt.event.MouseListener;

/**
 * Controller of the help panel
 * @author Ondrej Sabatka
 */
public class HelpControl implements MouseListener {

    //Construtor
    public HelpControl() {}

    /**
     * A method, which is executed, if a mouse cursor enters the help panel
     * @param evt obejct of the event
     */
    public void mouseEntered(MouseEvent evt) {
        try {
            //Finds a path to the file with help
            String help_page = MainControl.getInstance().getResourceModel().
                getHelpPage(((Component) (evt.getSource())).getName());

            //Tries to read a new help page
            MainControl.getInstance().getMainView().getHelpView().showPage(help_page);
        }
        catch(Exception e) {}
    }

    public void mouseClicked(MouseEvent arg0) {}

    public void mousePressed(MouseEvent arg0) {}

    public void mouseReleased(MouseEvent arg0) {}

    public void mouseExited(MouseEvent arg0) {}
}
