/**
 * Prakticka cast diplomove prace
 * Reprezentace textu a její vliv na kategorizaci
 *
 * Projekt: Program pro predzpracovani textovych dat
 *            - nacita textova data nebo dataset Reuters-21578
 *            - umoznuje nastavit metody predzpracovani, vybrat model
 *              a rysy reprezentace
 *            - zameruje se take na reprezentaci dokumentu pomoci N-Gramu
 *            - uklada data ve formatu XML nebo CSV
 * Autor:   Bc. Ondrej Sabatka
 * Kontakt: xsabat05@stud.fit.vutbr.cz
 * Datum:   unor - duben 2010
 */

package tp.view;

import java.awt.Font;

/**
 * A class containing information about text fonts, which appear on the
 * application windows.
 * @author Ondrej Sabatka
 */

public class GUIFonts {

    //Variables
    private Font bold_text;
    private Font text;
    private Font title_text;

    /**
     * Constructor of the class.
     */
    public GUIFonts() {
        bold_text = new Font(Font.SANS_SERIF, Font.BOLD, 11);
        text = new Font(Font.SANS_SERIF, Font.PLAIN, 12);
        title_text = new Font(Font.SANS_SERIF, Font.BOLD, 12);
    }

    /**
     * Gets parameters of bold text settings.
     * @return a Font object
     */
    public Font getBoldText() {
        return bold_text;
    }

    /**
     * Gets parameters of standard text settings.
     * @return a Font object
     */
    public Font getText() {
        return text;
    }

    /**
     * Gets parameters of title text settings.
     * @return a Font object
     */
    public Font getTitleText() {
        return title_text;
    }

}
