/**
 * Prakticka cast diplomove prace
 * Reprezentace textu a její vliv na kategorizaci
 *
 * Projekt: Program pro predzpracovani textovych dat
 *            - nacita textova data nebo dataset Reuters-21578
 *            - umoznuje nastavit metody predzpracovani, vybrat model
 *              a rysy reprezentace
 *            - zameruje se take na reprezentaci dokumentu pomoci N-Gramu
 *            - uklada data ve formatu XML nebo CSV
 * Autor:   Bc. Ondrej Sabatka
 * Kontakt: xsabat05@stud.fit.vutbr.cz
 * Datum:   unor - duben 2010
 */

package tp.view;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.awt.event.KeyEvent;
import javax.swing.JMenu;
import javax.swing.JMenuBar;
import javax.swing.JMenuItem;
import javax.swing.KeyStroke;
import tp.controllers.MainControl;

/**
 * Class, which creates the application menu.
 * @author Ondrej Sabatka
 */

public class MenuView extends JMenuBar {

    //Variables
    private ActionListener action_handler;

    /**
     * Constructor of the class
     */
    public MenuView() {
        //Handler initialization
        action_handler = MainControl.getInstance().getMainMenuController();

        //Creation of "Start" menu
        this.add(startMenu());
    }


    /**
     * Creation of Start menu and its submenus.
     * @return initialized Start menu
     */
    private JMenu startMenu() {
        JMenu menu = new JMenu("Start");
        JMenuItem item;

            //------------------- Quit item -------------------
            item = new JMenuItem("Quit");
            item.setName("menuExit");
            //Key stroke initialization
            item.setAccelerator(KeyStroke.getKeyStroke(KeyEvent.VK_Q, ActionEvent.ALT_MASK));

            //Event processing
            item.addActionListener(action_handler);

            //Adding it to menu
            menu.add(item);
            //-----------------------------------------------------

        return menu;
    }

}
